from django.conf.urls import patterns, include, url
from django.conf import settings

from django.views.generic import RedirectView
from django.core.urlresolvers import reverse_lazy

from django.contrib import admin

urlpatterns = patterns('',
    url(r'^$', 'panikweb.views.home', name='home'),
    url(r'^onair.json$', 'panikweb.views.onair', name='onair'),
    url(r'^programme/$', 'panikweb.views.program', name='program'),
    url(r'^programme/(?P<year>\d{4})/(?P<week>\d+)/$', 'panikweb.views.program', name='program_week'),
    url(r'^grille$', 'panikweb.views.grid', name='grid'),
    url(r'^emissions/$', RedirectView.as_view(pattern_name='home'), name='emissions'),
    url(r'^emissions/(?P<slug>[\w,-]+)/episodes/$', 'panikweb.views.emissionEpisodes', name='emissionEpisodes'),
    url(r'^emissions/(?P<slug>[\w,-]+)/podcasts.rss', 'panikweb.views.emission_podcasts_feed', name='emission-podcasts'),
    url(r'^emissions/(?P<slug>[\w,-]+)/chat/$', 'panikweb.views.chat', name='emission-chat'),
    url(r'^emissions/(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/$', 'panikweb.views.episode', name='episode-view'),
    url(r'^emissions/(?P<emission_slug>[\w,-]+)/(?P<slug>[\w,-]+)/$', 'panikweb.views.episode', name='episode-view'),
    url(r'^emissions/(?P<emission_slug>[\w,-]+)/(?P<episode_slug>[\w,-]+)/embed/(?P<pk>\d+)/$',
        'panikweb.views.soundfile_embed', name='soundfile-embed-view'),
    url(r'^emissions/(?P<emission_slug>[\w,-]+)/(?P<episode_slug>[\w,-]+)/dlg-embed/(?P<pk>\d+)/$',
        'panikweb.views.soundfile_dlg_embed', name='soundfile-dialog-embed-view'),
    url(r'^emissions/(?P<slug>[\w,-]+)/playlist/(?P<year>[0-9]{4})-(?P<month>[-\w]+)-(?P<day>[0-9]+)/$',
        'panikweb.views.nonstop_playlist', name='nonstop-playlist'),
    url(r'^emissions/(?P<slug>[\w,-]+)/$', 'panikweb.views.emission', name='emission-view'),
    url(r'^ckeditor/', include('ckeditor.urls')),
    url(r'^emissions/archives$', 'panikweb.views.emissionsArchives', name='emissionsArchives'),
    url(r'^sons/$', 'panikweb.views.listen', name='listen'),
    url(r'^sons/archives/$', 'panikweb.search.listenArchives', name='listenArchives'),
    url(r'^actus/$', 'panikweb.views.news', name='news'),
    url(r'^actus/agenda/$', 'panikweb.views.agenda', name='agenda'),
    url(r'^actus/agenda/(?P<year>[0-9]{4})/(?P<month>[0-9]+)/$',
            'panikweb.views.agenda_by_month', name='agenda_by_month'),
    url(r'^actus/agenda$', RedirectView.as_view(pattern_name='agenda', permanent=True)),
    url(r'^actus/archives/$', 'panikweb.search.newsArchives', name='newsArchives'),
    url(r'^actus/(?P<slug>[\w,-]+)$', 'panikweb.views.newsitemview', name='newsitem-view'),

    url(r'^party', 'panikweb.views.party', name='party'),

    url(r'^recherche/', 'panikweb.search.view', name='search'),

    url(r'^actus.rss', 'panikweb.views.rss_news_feed', name='rss-feed'),
    url(r'^actus.atom', 'panikweb.views.atom_news_feed', name='atom-feed'),
    url(r'^podcasts.rss', 'panikweb.views.podcasts_feed', name='podcasts-feed'),

    url(r'^newsletter/', include('newsletter.urls')),

    url(r'^admin/', include(admin.site.urls)),
    url(r'^admin/doc/', include('django.contrib.admindocs.urls')),
)

from django.contrib.staticfiles.urls import staticfiles_urlpatterns
urlpatterns += staticfiles_urlpatterns()

from django.conf.urls.static import static
urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

urlpatterns += patterns('', url(r'', include('combo.public.urls')))

try:
    from local_urls import *
except ImportError, e:
    pass
